(C) Copyright 1996, 1997 by Roalt Aalmoes (aalmoes@huygens.nl) and 
                         Huygens group of Twente University

See http://www.huygens.org for more info 

ALL RIGHTS RESERVED

This packages includes the following files:

app.c		- Example C source code for application program of R263 encoder
Makefile.app	- Makefile to compile this example package.
README.app	- This file.


Although copyrights and all other rights are reserved, this package
may be spread according to the GNU public license agreement. Please inform
the author of bugs, changes, or improvements.


This is an example program that demonstrates the use of the R263
encoder library (LIBR263). In short it reads a .QCIF file called
'input.qcif', it then compresses 1 out of 4 frames of this stream, and
finally it writes this compressed stream, and the reconstructed .QCIF
frame to the files 'output.263' and 'recon.qcif', respectively.

I hope this example program shows the flexibility of the encoder. I also
point out some other featurs that are shown in the example program:
 
* Use of custom function to select blocks that must be compressed
  (Instead of FindMotion). Note that the return value of FindMotion is the
  number of macroblocks that are used for compression. This number
  might give an indication of the time it will take to compress a frame.
 
* Change of compression parameters during encoding. For instance, the search
  area might be increased if movements in the video increase significantly, or
  exhaustive search might be selected because there is spare processor time and  we want a output stream that is as small as possible.

* The reconstructed QCIF frame might be used to show to quality of the 
  compressed video stream at the source (of course when no data is lost
  during transmission). 




ToDo:

Basically a lot of things: More example code, more comments, maybe
better structured c code. Unfortunately, I do not have much time to
update or to improve this code. My main concern at the time of writing
was how to distribute this code as soon as possible to people in the
world who might want to use it (of course for evaluation purposes only 
:-) ).


Good luck!

Roalt



